#
# spec file for package python-qt5-sip
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python3-qt5-sip
Version:        12.11.0
Release:        150500.1.1
License:        GPL-2.0-only OR GPL-3.0-only OR SUSE-SIP
Summary:        The sip module support for PyQt5
URL:            https://www.riverbankcomputing.com/software/sip/
Group:          Development/Languages/Python
Source0:        https://files.pythonhosted.org/packages/source/P/PyQt5-sip/PyQt5_sip-%{version}.tar.gz
Patch0:         support-python3.6.patch
BuildRequires:  python3-devel >= 3.6
BuildRequires:  python3-setuptools >= 30.3
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Provides:       python3-PyQt5-sip = %{version}-%{release}


%description
The sip extension module provides support for the PyQt5 package.

SIP is a tool that makes it very easy to create Python bindings for
C and C++ libraries. It was originally developed to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create
bindings for any C or C++ library. For example, it is also used to
create wxPython, the Python bindings for the wxWidget toolkit.

%prep
%setup -q -n PyQt5_sip-%{version}
%patch0 -p1

%build
%py3_build

%install
%py3_install
%fdupes %{buildroot}%{python3_sitearch}

%files
%license LICENSE LICENSE-GPL2 LICENSE-GPL3
%dir %{python_sitearch}/PyQt5
%{python3_sitearch}/PyQt5/sip*
%{python3_sitearch}/PyQt5_sip-%{version}*info

%changelog
* Mon Apr 24 2023 dmueller@suse.com
- Rename package to avoid conflicts with the new Python Stack Proposal (jsc#PED-68)
* Thu Jan 12 2023 alarrosa@suse.com
- Add patch to revert the drop of support for python 3.6:
  * support-python3.6.patch
* Mon Jun 20 2022 code@bnavigator.de
- Update to ABI version 12.11.0
  * The array type is now accessible from the sip module.
* Wed Apr 13 2022 code@bnavigator.de
- Update to ABI version 12.10.1
- Support for Python 3.6 has been dropped
* Fri Jun 18 2021 code@bnavigator.de
- Provide the PyPI name
* Thu May 13 2021 code@bnavigator.de
- Update to 12.9.0
  * no release notes, new ABI version.
* Sun Aug 30 2020 code@bnavigator.de
- Update to version 12.8.1
  * minor bugfix release
* Fri Aug 28 2020 code@bnavigator.de
- Initial specfile for version 12.8.0
  Quote from https://www.riverbankcomputing.com/static/Docs/PyQt5/installation.html#building-the-sip-module
  It is not necessary to install the PyQt5.sip module before
  building PyQt5 but it must be installed before PyQt5 can be used.
